Bug 59416 - (portability) solaris
(portability) solaris
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-07 10:10 EST by Jeff Johnson
Modified: 2007-04-18 12:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-07 16:15:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Johnson 2002-02-07 10:10:48 EST
>
> 3. Makefile is generated with pkglibdir=/usr/local/lib/rpm
>    rather than with the prefix ie ${prefix}/lib/rpm.
>    Since this variable is used for the "install" target,
>    the user is prevented from changing the location
>    of the install on the make command line, a feature
>    that is very useful when using packages like "stow"
>    and "depot" to keep track of installed packages.
>
> 4. tools/Makefile generated with pkgbindir=/usr/local/lib/rpm.
>    Same comment as (3) above.
>
> 5. beecrypt/Makefile, rpmio/Makefile, tests/Makefile have
>    an explicit call to "make -C' instead of "${MAKE} -C". 
>    This breaks on solaris where many install GNU's make
>    as "gnumake" or "gmake"
>

> Solaris specific
> ================
>
> 1. lib/signature.c contains the "environ" external
>    which isn't declared in unistd.h on Solaris.
>
>
> 2. rpmio/Makefile has a -R option with a relative path
>    to ../zlib. Relative paths are now permitted with
>    -R on Solaris
>
> 3. misc/fnmatch.c doesn't have declarations for "isprint" etc.
>    Needs include of <ctype.h>
>
> 4. librt doesn't exist on Solaris6 (OK on Solaris8, don't know about
>    Solaris7). Would be better to test for existence of this
>    archive and use a macro.
Comment 1 Rob Stevens 2002-02-09 19:22:55 EST
Item (4)
    change line 228 tools/Makefile.in
        pkgbindir = @RPMCONFIGDIR@ to pkgbindir = $(libdir)/rpm

Item (5)
    change
        make -C  =>  ${MAKE} -C
    line 562 beecrypt/Makefile.in
    line 590 rpmio/Makefile.in
Comment 2 Rob Stevens 2002-02-09 19:33:13 EST
Item (5)
    change
        make -C  => ${MAKE} -C
    line 403 tests/Makefile.in


Item 2 under Solaris specific should have read:
    Relative paths are not permitted
not
    Relative paths are now permitted




Item 4
    use AC_SEARCH_LIBS(aiowrite,rt aio,[],[],[])
The aio* functions are in libaio on Solaris6
Comment 3 Paul Nasrat 2005-06-07 16:15:54 EDT
If you have patches against rpm HEAD or 4.4.x branch for Solaris build support
please reopen and attach here or on the rpm-devel list

https://lists.dulug.duke.edu/mailman/listinfo/rpm-devel

OpenPkg.org provides rpm for Solaris you may want to start there.

Note You need to log in before you can comment on or make changes to this bug.